Skip to main content
GET
List sites for server

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

server:view

Allow members to view servers

Path Parameters

organization
string
required

The organization slug

server
integer
required

The server ID

Query Parameters

page[size]
integer
default:30

The number of results that will be returned per page.

page[cursor]
string

The cursor to start the pagination from.

filter[name]
string

The name of the site.

Example:

"forge.laravel.com"

sort
enum<string>[]
Available options:
name,
-name,
created_at,
-created_at,
updated_at,
-updated_at
include
enum<string>[]
Available options:
server,
serverCount,
serverExists,
tags,
tagsCount,
tagsExists,
latestDeployment,
latestDeploymentCount,
latestDeploymentExists,
securityRules,
securityRulesCount,
securityRulesExists,
redirectRules,
redirectRulesCount,
redirectRulesExists

Response

Paginated set of SiteResource

data
SiteResource · object[]
required
meta
object
required
included
(ServerResource · object | TagResource · object | DeploymentResource · object | SecurityRuleResource · object | RedirectRuleResource · object)[]